{  This file is part of OptGeo, optical simulation software
    Copyright (C) 2004  Jean-Marie Biansan
        Contact: jeanmarie.biansan@free.fr
    Web site: http://jeanmarie.biansan.free.fr/logiciel.html
 From version 1.25, OptGeo is distribued under the terms of the
 GNU General Public License.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA}


    unit saisiejolipoint;

{$mode objfpc}{$H+}

interface

uses
  LCLIntf, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Colorbox, Spin, ExtCtrls,unit222, LResources,
  UChaines;

type

  { Tsaisiejolipoint }

  Tsaisiejolipoint = class(TForm)
    BitBtn1: TBitBtn;
    Colorgrid1: TColorBox;
    GroupBox2: TGroupBox;
    radioext1: TRadioGroup;
    GroupBox1: TGroupBox;
    SpinEdit_epaisseur: TSpinEdit;
    spintaille1: TSpinEdit;
    StaticText1: TLabel;
    StaticText3: TLabel;
    GroupBox4: TGroupBox;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure radiostyletraitClick(Sender: TObject);
  private  encreation:boolean;
    { Déclarations privées }
  public
    { Déclarations publiques }
  end;

var
  fsaisiejolipoint: Tsaisiejolipoint;
   ra_style:TTypePoint;
ra_couleur:tcolor;
    ra_taille,ra_epaisseur:integer;
implementation





procedure Tsaisiejolipoint.BitBtn1Click(Sender: TObject);
begin
 ra_taille:=spintaille1.value;
 ra_epaisseur:=spinedit_epaisseur.value;
 case radioext1.itemindex of

 0: ra_style:=tpcercle;
 1: ra_style:=tpcroixp;
 2: ra_style:=tpcroixx;
 3: ra_style:=tpdisque;
 4: ra_style:=tpcarre;
 5: ra_style:=tpcarreplein;
 6: ra_style:=tptriangle;
 7: ra_style:=tptriangleplein;
 end;



 ra_couleur:=colorgrid1.selected;

end;

procedure Tsaisiejolipoint.FormCreate(Sender: TObject);
begin
   encreation:=true;
   radioext1.Items[0]:=rsCercle;
radioext1.Items[1]:=rsCroix;
radioext1.Items[2]:=rsCroixX;
radioext1.Items[3]:=rsDisque;
radioext1.Items[4]:=rsCarr;
radioext1.Items[5]:=rsCarrPlein;
radioext1.Items[6]:=rsTriangle;
radioext1.Items[7]:=rsTrianglePlei;
RADIOEXT1.CAPTION :=rsForme;
CAPTION  :=rsAjoutDUnPoin;

  GROUPBOX4.CAPTION  :=rsCouleur2;
  GROUPBOX2.CAPTION  :=rsEpaisseur;
GROUPBOX1.CAPTION :=rsTaille2;
BITBTN1.CAPTION  :=rsOK;
STATICTEXT1.CAPTION :=rsEn11000DeLaD;

STATICTEXT3.CAPTION :=rsDeLEspaceDeT;
end;

procedure Tsaisiejolipoint.FormShow(Sender: TObject);
begin
 // if encreation then begin scalefont(self); encreation:=false; end;
end;

procedure Tsaisiejolipoint.radiostyletraitClick(Sender: TObject);
begin

end;

initialization
  {$i saisiejolipoint.lrs}


end.
